FAQs: Other

Find answers to your questions about CE Express.

What browser version do I need on my computer?

You must have a current version of your browser in order to take the courses.  Older versions are no longer supported by their own vendors or by most websites.

Still can't find your answer?

If you can't find what you're looking for, please contact us.

Call Us icon

Call us: 888.596.0748

Speak to a customer service representative.

Weekdays: Mon - Fri 8 a.m. - 8 p.m. ET

Get in touch icon

Send us a note

Email us and we'll get back to you within 24 hours

Email Us